﻿/* Customer specific CSS */
@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

:root {
    --font-primary: "Montserrat", sans-serif;
    --color-primary: #0A2B6F;
    --color-primary-dark: #5379C6;
    --color-primary-medium: #89CCC4;
    --color-primary-light: #F3F2ED;
}

.navbar-logo {
    height: 3.875em;
}

.navbar {
    height: 6.5em;
    
}

.page-xs .logo {
    height: 3.875em;
}

/* --- TA BORT AVISERINGAR UNDER MIN PROFIL --- */
#page-myProfile li.nav-item:nth-child(2) {
    display: none;
}

/* Döljer länk till ingående samligsfakturor för desktop och mobil */
#combinedInvoiceModalDesktop td:last-child,
#combinedInvoiceModalDesktop th:last-child,
#combinedInvoiceModalMobile .card-body div:last-child {
	display: none;
}

/* Navbar side */
.sidebar a.active:before {
    background-color: #FE9900;
}

/* Fade in footer */
.fade-in {
  opacity: 0;
  transition: opacity 1s ease-in;
}

.fade-in.show {
  opacity: 1;
}

/* LoginPage */
#loginSection {
    background-color: var(--color-white);
    border-radius: 8px;
}
 
#loginSection > div.text-left {
    text-align: left!important;
}
 
#loginSection .shadow-sm {
    box-shadow: none!important;
}
 
.page-default .mb-5, .page-default .mt-3, .page-loginstartpage .mb-5, .page-loginstartpage .mt-3, .page-loginbankid .mb-5, .page-loginbankid .mt-3, .page-loginfreja .mb-5, .page-loginfreja .mt-3, .page-passwordreset .mb-5, .page-passwordreset .mt-3 {
    margin-bottom: 0px !important;
}
 
#LoginPanelHeading, #mainContentContainer h1 {
    display: none;
}
 
#loginSection.text-md-left {
    text-align: center !important;
}
 
.page-default #mainContentContainer, .page-loginstartpage #mainContentContainer, .page-loginbankid #mainContentContainer, .page-loginfreja #mainContentContainer, .page-passwordreset #mainContentContainer {
    background-image: url(/Environments/MALUN/Images/Välkomstbild.jpg);
    background-size: cover;
	background-position: right top;
}
 
.page-default #bg-image, .page-loginstartpage #bg-image, .page-loginbankid #bg-image, .page-loginfreja #bg-image, .page-passwordreset #bg-image {
    display: none;
}
 
#rememberme {
    text-align: left !important;
}
 
#link-password-reminder {
    margin: 1rem !important;
}
 
#btnLogin {
    width: 100%;
}

.page-loginstartpage .page-width-2000, .page-loginbankid .page-width-2000, .page-loginfreja .page-width-2000, .page-default .page-width-2000, .page-passwordreset .page-width-2000 {
    max-width: none;
}

.page-consumptionreport .range2 {
    width: 300px;
}